Home

# Class goog.gears.LogStore

Implements a store for goog.debug.Logger data.

extends goog.gears.BaseStore

Instance Method Summary
| `addLogRecord(?goog.debug.LogRecord logRecord)` Adds a log record.
| `autoPrune_(?number= opt_count)` Prune, and schedule next pruning.
| `createAutoPruneDelay(?number= opt_count, ?number= opt_interval)` Create new delay object for auto-pruning. Does not stop or start auto-pruning, call #startAutoPrune and #startAutoPrune for that.

`disposeInternal()`

Deletes or nulls out any references to COM objects, DOM nodes, or other disposable objects. Classes that extend {@code goog.Disposable} should override this method. Not reentrant. To avoid calling it twice, it must only be called from the subclass' {@code disposeInternal} method. Everywhere else the public {@code dispose} method must be used. For example:

    mypackage.MyClass = function() {
    goog.base(this);
    // Constructor logic specific to MyClass.
    ...
    };
    goog.inherits(mypackage.MyClass, goog.Disposable);

    mypackage.MyClass.prototype.disposeInternal = function() {
    goog.base(this, 'disposeInternal');
    // Dispose logic specific to MyClass.
    ...
    };

| `flush()` Flush buffered log records.
| `isAutoPruneActive() ⇒ boolean`
| `isCapturing() ⇒ boolean` Whether we are currently capturing logger output.
| `pruneBeforeCount(?number= opt_count)` Keep some number of most recent log records and delete all older ones.
| `pruneBeforeSequenceNumber(number sequenceNumber)` Delete log record #id and all older records.
| `select(?goog.gears.LogStore.Query query) ⇒ ?Array` Select log records.
| `setCapturing(boolean capturing)` Sets whether we are currently capturing logger output.
| `startAutoPrune()` Enable periodic pruning. As a side effect, this also flushes the memory buffer.
| `stopAutoPrune()` Disable scheduled pruning.